Cancel a task from the agent. If supported one should expect no more task updates for the task.
HTTP request
POST https://discoveryengine.googleapis.com/v1/{tenant=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/a2a/v1/{name=tasks/*}:cancel
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
tenant |
Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release. |
name |
The resource name of the task to cancel. Format: tasks/{taskId} |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Task.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.